import request from '@/utils/request'

// 初始化合同
export function initPayState() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询'
    }
  })
}
// 查询表1
export function searchParts(pageCurrent, pageSize, check1, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_核算价格_查询数据',
      param: `采购合同流水号_check=${check1}&采购合同流水号=${num}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 保存
export function Preservation(id, num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间管理_核算总额_编辑数据',
      param: `请购单明细流水号组=${id}&核算总额组=${num}&核算单价组=${num1}`
    }
  })
}
